{% extends 'base.html.twig' %}

{% block title %}
    {{ parent() }} |
    {% trans %}Revision{% endtrans %}
{% endblock %}

{% block body %}
    <ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="{{ path('translation_revision', {'slug': learning.slug}) }}">{% trans %}Revision{% endtrans %}</a>
        </li>
        <li>
            <a href="{{ path('translation_edition', {'slug': learning.slug}) }}">{% trans %}Edition{% endtrans %}</a>
        </li>
    </ul>
    <div class="translation translation-revision">
        <div class="filter-translations">
            <h3>{% trans %}Filter translations{% endtrans %}</h3>
            <form class="filter-form" method="get" action="{{ path('translation_revision', {'slug': learning.slug}) }}">
                {{ form_rest(filterForm) }}
                <input type="submit" name="submit-filter" value="{% trans %}Filter{% endtrans %}" />
            </form>
        </div>
        <h3 class="ajax-ready">
            {% trans %}Translation list{% endtrans %}
            <span></span>
        </h3>
        <div class="ajax-revision">
            {{ include('pagination.html.twig', {'routeName': 'translation_revision', 'routeParams':{'pager': pager, 'slug': learning.slug}}) }}
            <table class="table records_list"
                data-left-button-text="{{ buttonTexts.left }}"
                data-right-button-text="{{ buttonTexts.right }}"
                data-display-text="{{ buttonTexts.display }}">
                <thead>
                    <tr>
                        <th>{{ learning.language1 }}</th>
                        <th colspan=2>{{ learning.language2 }}</th>
                    </tr>
                </thead>
                <tbody>
                    {% for translation in pager.currentPageResults %}
                        <tr data-position="{{ loop.index }}">
                            <td onclick="">
                                {% if translation.word1.article and learning.language1.requireArticles %}<span class="is-visible">{{ translation.word1.article }}</span>{% endif %}
                                <span class="is-visible">{{ translation.word1 }}</span>
                            </td>
                            <td onclick="">
                                {% if translation.word2.article and learning.language2.requireArticles %}<span class="is-visible">{{ translation.word2.article }}</span>{% endif %}
                                <span class="is-visible">{{ translation.word2 }}</span>
                            </td>
                            <td>
                               <a class="star {% if translation.isStarred %}star-yes{% endif %}"
                                  href="{{ path('translation_star', {'slug': learning.slug, 'id': translation.id}) }}">
                               </a>
                            </td>
                        </tr>
                    {% else %}
                        <tr>
                            <td colspan=3>
                                {% trans %}You have no translations! Click on the 'Edition' button on the right top of this page to start adding translations{% endtrans %}.
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
            {{ include('pagination.html.twig', {'routeName': 'translation_revision', 'routeParams':{'pager': pager, 'slug': learning.slug}}) }}
        </div>
        <div class="ajax-ready">
            <span></span>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {# startscript revision.min.js #}
    <script type="text/javascript" src="/js/revision/manage-translation-table.js"></script>
    <script type="text/javascript" src="/js/revision/ajax-star.js"></script>
    <script type="text/javascript" src="/js/revision/ajax-revision-rows.js"></script>
    {# endscript #}
{% endblock %}
